Tableau extension setup issue

#1

Hello all,

We followed the instructions to install the Tableau extension including setting up the PATH variable, but when I try to create a Hyper extract the following error is shown: "Execute failed: Unable to initialize Tableau backend ‘Tableau Hyper’, please follow the installation instructions in the node description. Error: java.lang.UnsatisfiedLinkError: Unable to load library ‘TableauHyperExtract’: The specified module could not be found.". What could be wrong?

Thank you.

0 Likes

#2

Hi @pzkor -

It looks like KNIME is not able to find your Tableau libraries for whatever reason.

One thing to note is that when you set up Tableau in your KNIME preferences, the string that you need to add to your path changes depending on whether you select the TDE or Hyper option:

On my system, the strings are

C:\Program Files\KNIME\plugins\org.knime.ext.tableau.tde.bin.win32.x86_64_9.3.1.v201903041623\Tableau-SDK\bin

and

C:\Program Files\KNIME\plugins\org.knime.ext.tableau.hyper.bin.win32.x86_64_2018.2.2.v201903041623\extractapi-x64-2018-2-3\bin

Are you sure that you updated your path with the correct string?

If so, can you provide a bit more information about your system (OS, KNIME version, and so forth)? We’ll get it figured out.

0 Likes

"Send to Tableau Server (Hyper)" NODE Error